"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const shared_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _hoisted_1 = { class: "go-decorates-line" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["y1", "x2", "y2", "stroke", "stroke-width"];
const _hoisted_4 = ["y1", "x2", "y2", "stroke", "stroke-width"];
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { o_color, i_color, line_class } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          width: reactivity_esmBundler.unref(w),
          height: reactivity_esmBundler.unref(h)
        }, [
          runtimeCore_esmBundler.createElementVNode("line", {
            x1: 0,
            y1: reactivity_esmBundler.unref(h) / 2,
            x2: reactivity_esmBundler.unref(w),
            y2: reactivity_esmBundler.unref(h) / 2,
            stroke: reactivity_esmBundler.unref(o_color),
            "stroke-width": reactivity_esmBundler.unref(h)
          }, null, 8, _hoisted_3),
          runtimeCore_esmBundler.createElementVNode("line", {
            x1: 0,
            y1: reactivity_esmBundler.unref(h) / 2,
            x2: reactivity_esmBundler.unref(w),
            y2: reactivity_esmBundler.unref(h) / 2,
            stroke: reactivity_esmBundler.unref(i_color),
            "stroke-width": reactivity_esmBundler.unref(h) / 2,
            class: shared_esmBundler.normalizeClass(reactivity_esmBundler.unref(line_class))
          }, null, 10, _hoisted_4)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
exports.default = _sfc_main;
